/*******************************************************************************
 * FoxSettingsUILegal generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxSettingsUILegal extends FoxSettingsUIBase within FoxMenuUI
    native(UI)
    config(UI);

var const config string LegalFilename;

protected function SetupButtonContainer()
{
    Outer.as_addAdditionalButtonContainer("container", 1000, 200, 0, 0, 0, 100, "", "", 5, 1200, 1200, false);
    //return;    
}

function SetupSettingsScene()
{
    local string LegalLocText;

    Outer.as_addAdditionalButtonContainer("settingsContainer", 1000, -296, 0, 0, 0, 100, "", "", -16, 1200, 1200, false);
    LegalLocText = Outer.Outer.GetFileText(LegalFilename);
    as_addSettingsLegalUI(LegalLocText);
    //return;    
}

function as_addSettingsLegalUI(string LegalText)
{
    Outer.Outer.ActionScriptVoid("_root.addSettingsLegal");
    //return;    
}

defaultproperties
{
    LegalFilename="Legal"
}